Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.sql
Class OracleXMLSQLNoRowsException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.xml.sql.OracleXMLSQLException
oracle.xml.sql.OracleXMLSQLNoRowsException`

All Implemented Interfaces:
  java.io.Serializable

      public class OracleXMLSQLNoRowsException

extends OracleXMLSQLException

The `OracleXMLSQLNoRowsException` class represents the runtime exception thrown when no rows are returned by a query when using the XSU.

See Also:
  Serialized Form

Constructor Summary
`OracleXMLSQLNoRowsException()` Constructor for the Oracle XMLSQLNoRowsException object
`OracleXMLSQLNoRowsException(java.lang.String errorTag)` Constructor for the Oracle XMLSQLNoRowsException object

Method Summary

Methods inherited from class oracle.xml.sql.OracleXMLSQLException
`getErrorCode, getParentException, getXMLErrorString, getXMLSQLErrorString, setErrorTag`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OracleXMLSQLNoRowsException

    public OracleXMLSQLNoRowsException()

  Constructor for the Oracle XMLSQLNoRowsException object

### OracleXMLSQLNoRowsException

    public OracleXMLSQLNoRowsException(java.lang.String errorTag)

  Constructor for the Oracle XMLSQLNoRowsException object
  Parameters:
    `errorTag` - The name of the error tag

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.